
<%@page import="com.liferay.portal.kernel.portlet.LiferayPortletURL"%>
<%@page import="com.liferay.portal.kernel.util.GetterUtil"%>
<%@page import="it.tref.liferay.mapit.map.util.MapItPluginUtil"%>
<%@page import="javax.portlet.PortletRequest"%>
<%@page import="com.liferay.portal.kernel.portlet.LiferayWindowState"%>
<%@page import="it.tref.liferay.mapit.plugin.MapItPlugin"%>
<%@page import="com.liferay.portal.util.PortalUtil"%>
<%@page import="com.liferay.portlet.PortletURLFactoryUtil"%>
<%@page import="com.liferay.portal.kernel.util.ListUtil"%>
<%@page import="com.liferay.portal.kernel.dao.orm.QueryUtil"%>
<%@page import="it.tref.liferay.mapit.map.service.PluginLocalServiceUtil"%>
<%@page import="it.tref.liferay.mapit.map.model.Plugin"%>

<%@include file="/html/map_configuration/site/init.jsp" %>

<%
long companyId = company.getCompanyId();

List<Plugin> plugins = PluginLocalServiceUtil.getActivePlugins(QueryUtil.ALL_POS, QueryUtil.ALL_POS);

long controlPanelPlid = PortalUtil.getControlPanelPlid(companyId);

PortletURL iteratorURL = renderResponse.createRenderURL();
%>

<liferay-ui:search-container
	iteratorURL="<%= iteratorURL %>"
	total="<%= plugins.size() %>"
>

	<liferay-ui:search-container-results
		results="<%= ListUtil.subList(plugins,
		    searchContainer.getStart(), searchContainer.getEnd()) %>"
	/>

	<liferay-ui:search-container-row
		className="it.tref.liferay.mapit.map.model.Plugin"
		modelVar="plugin"
	>
	
		<liferay-ui:search-container-column-text name="name" property="name" />
		
		<liferay-ui:search-container-column-text name="version" property="version" />
			
		<liferay-ui:search-container-column-text>
		
			<liferay-ui:icon-menu>
			
				<%
				
				String portletId = null;
				
				MapItPlugin mapItPlugin = MapItPluginUtil.getMapItPlugin(plugin.getContext());
				if (mapItPlugin != null) {
				  portletId = mapItPlugin.getSiteConfigurationPortletId();
				}
				%>
				
				<c:if test="<%=Validator.isNotNull(portletId) && plugin.isActive()%>">
				
					<%
					PortletURL portletURL = PortletURLFactoryUtil.create(request,
					    portletId, controlPanelPlid, PortletRequest.RENDER_PHASE);
					
					portletURL.setPortletMode(PortletMode.VIEW);
					portletURL.setWindowState(LiferayWindowState.POP_UP);
					%>
				
					<liferay-ui:icon
						image="configuration"
						message="configuration"
						url="<%= portletURL.toString() %>"
						useDialog="true"
					/>
				
				</c:if>
	
			</liferay-ui:icon-menu>
		
		</liferay-ui:search-container-column-text>

	</liferay-ui:search-container-row>

	<liferay-ui:search-iterator />
	
	<%
				
	String portletId = "86";
	LiferayPortletURL portletConfigurationUrl = PortletURLFactoryUtil.create(request,
		    portletId, controlPanelPlid, PortletRequest.RENDER_PHASE);
	
	portletConfigurationUrl.setPortletMode(PortletMode.VIEW);
	portletConfigurationUrl.setWindowState(LiferayWindowState.POP_UP);
	portletConfigurationUrl.setParameter("_86_portletResource", "5_WAR_trefmapitmapportlet");
	portletConfigurationUrl.setParameter("_86_struts_action", "/portlet_configuration/edit_configuration");
	portletConfigurationUrl.setCopyCurrentRenderParameters(false);
	portletConfigurationUrl.setDoAsGroupId(scopeGroupId);
	
	%>
	
	<div>
	<label for="mapit-site-config" style="display:inline-block">Tref Mapit Site Configuration</label>
	<liferay-ui:icon
		id="mapit-site-config"
		image="configuration"
		message="configuration"
		url="<%= portletConfigurationUrl.toString() %>"
		useDialog="true"
	/>
	</div>
</liferay-ui:search-container>
